/*******************************************************************************
 * Copyright (c) 2011 Olivier Langella <Olivier.Langella@moulon.inra.fr>.
 * 
 * This file is part of libOdsStream.
 * 
 *     libOdsStream is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     libOdsStream is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with libOdsStream.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Contributors:
 *     Olivier Langella <Olivier.Langella@moulon.inra.fr> - initial API and implementation
 ******************************************************************************/
package fr.inra.pappso.libodsstream.saxreader;

import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

public class MyErrorHandler implements ErrorHandler {

	public void warning(SAXParseException exception) throws SAXException {
		// Bring things to a crashing halt
		/*logger.warn("**Parsing Warning**" + "\n\t Line:    "
				+ exception.getLineNumber() + "\n\t URI:	"
				+ exception.getSystemId() + "\n\t Message: "
				+ exception.getMessage());*/
		// throw new SAXException("Warning encountered");
	}

	public void error(SAXParseException exception) throws SAXException {
		// Bring things to a crashing halt
		/*logger.error("**Parsing Error**" + "\n\t Line:    "
				+ exception.getLineNumber() + "\n\t URI:     "
				+ exception.getSystemId() + "\n\t Message: "
				+ exception.getMessage());*/
		// throw new SAXException("Error encou*ntered");
	}

	public void fatalError(SAXParseException exception) throws SAXException {
		// Bring things to a crashing halt
		/*logger.fatal("**Parsing Fatal Error**" + "\n\t Line:    "
				+ exception.getLineNumber() + "\n\t URI:     "
				+ exception.getSystemId() + "\n\t Message: "
				+ exception.getMessage());*/
		System.out.println("**Parsing Fatal Error**" + "\n\t Line:    "
				+ exception.getLineNumber() + "\n\t URI:     "
				+ exception.getSystemId() + "\n\t Message: "
				+ exception.getMessage());
		throw new SAXException("ERROR at line "+ exception.getLineNumber()+ " column "+ exception.getColumnNumber()+" : "+ exception.getMessage());
	}
}