package fr.inra.pappso.xtandempipeline.class_msms.IdentificationDataFile;

import javax.xml.stream.XMLStreamWriter;

import fr.inra.pappso.xtandempipeline.MsException.MSMSException;
import fr.inra.pappso.xtandempipeline.class_msms.Identification;
import fr.inra.pappso.xtandempipeline.class_msms.MapDb.Peptide;

public interface IdentificationDataSource extends
		Comparable<IdentificationDataSource> {
	public String getName() throws MSMSException;

	public Identification loadIdentification(
			Identification previousIdentification) throws Exception;

	public Identification loadPhosphoIdentification(
			Identification previousIdentification) throws Exception;

	public boolean loadMSMSSpectra(Peptide pep) throws Exception;

	public void writeXpipPeptideSourceAttribute(XMLStreamWriter writer)
			throws Exception;

	@Override
	public int compareTo(IdentificationDataSource toCompare);

	public boolean equals(Object o);

	public boolean exists();

}
