package fr.inra.pappso.xtandempipeline.thread;

import fr.inra.pappso.libodsstream.OdsDocWriter;
import fr.inra.pappso.xtandempipeline.MsException.MSMSException;
import fr.inra.pappso.xtandempipeline.class_msms.MsRunSet;
import fr.inra.pappso.xtandempipeline.class_msms.config;
import fr.inra.pappso.xtandempipeline.class_msms.Identification;

public class printing_indiv extends printing_base {

	public printing_indiv(config conf) {
		super(conf);
	}

	@Override
	protected void writeMsSampleName(Identification ident, OdsDocWriter writer)
			throws Exception {
		MsRunSet msSampleList = ident.getMsRunSet();
		if (msSampleList.size() > 1) {
			throw new MSMSException(
					"ERROR : more than one msRun for an individual identification result");
		} else {
			writer.writeLine();
			writer.writeCell("MS Sample :");
			writer.writeCell(msSampleList.getMsRunList().get(0).getSampleName());
		}
	}

}
