package fr.inra.pappso.xtandempipeline.grouping.interfaces;

import java.util.Collection;

import fr.inra.pappso.xtandempipeline.MsException.MSMSException;
import fr.inra.pappso.xtandempipeline.grouping.HashProtein;
import fr.inra.pappso.xtandempipeline.grouping.HashSampleScan;

public interface GrpProtMatch {
	GrpProtein getGrpProtein();

	Collection<GrpPeptide> getGrpPeptides() throws MSMSException;

	GrpPeptide getBestPeptideToHashSampleScan(HashSampleScan hash) throws MSMSException;

	HashProtein getHashProtein() throws MSMSException;

	Collection<GrpPeptide> getGrpPeptidesSharingHashSampleScan(
			HashSampleScan hash) throws MSMSException;
}
